Interface SupportPlans
- All Known Implementing Classes:
SupportPlansImpl
public interface SupportPlans
Client interface for accessing Smart Hands support plans in the Equinix Customer Portal.
Backed by the Support Plans v2 API at /colocations/v2/supportPlans. Support plans are
listed (optionally filtered by account numbers, IBXs and plan ids); there is no per-id retrieval
endpoint.
-
Method Summary
Modifier and TypeMethodDescriptionlist()Lists all support plans for the current account.Lists support plans filtered by account numbers, IBXs and/or plan ids.Lists support plans filtered by account numbers, IBXs and/or plan ids, sorted by the supplied sort specifiers.
-
Method Details
-
list
PaginatedList<SupportPlan> list()Lists all support plans for the current account.Maps to
GET /colocations/v2/supportPlans(Retrieve Smart Hands support plans).- Returns:
- a paginated list of support plans
-
list
PaginatedList<SupportPlan> list(List<String> accountNumbers, List<String> ibxs, List<String> planIds) Lists support plans filtered by account numbers, IBXs and/or plan ids.Maps to
GET /colocations/v2/supportPlans(Retrieve Smart Hands support plans).- Parameters:
accountNumbers- the account numbers to filter by, ornullibxs- the IBX codes to filter by, ornullplanIds- the plan ids to filter by, ornull- Returns:
- a paginated list of matching support plans
-
list
PaginatedList<SupportPlan> list(List<String> accountNumbers, List<String> ibxs, List<String> planIds, List<String> sorts) Lists support plans filtered by account numbers, IBXs and/or plan ids, sorted by the supplied sort specifiers.Maps to
GET /colocations/v2/supportPlans(Retrieve Smart Hands support plans) with thesortsquery parameter.- Parameters:
accountNumbers- the account numbers to filter by, ornullibxs- the IBX codes to filter by, ornullplanIds- the plan ids to filter by, ornullsorts- the sort specifiers, ornull- Returns:
- a paginated list of matching support plans
-